-- Author: Khorrhxe (US-Zul'jin)
-- License: Public Domain

local addon = CreateFrame("Frame")

--register events
addon:RegisterEvent("PLAYER_ENTERING_WORLD")
addon:RegisterEvent("PLAYER_REGEN_DISABLED")
addon:RegisterEvent("PLAYER_REGEN_ENABLED")

-- call func based on event
addon:SetScript("OnEvent", function(self, event, ...)
	if UnitAffectingCombat("player") then
		-- in combat 
		SaveView(1)
		SetCVar("cameraBobbing", 0);
		SetCVar("cameraTerrainTilt", 0);
		SetCVar("cameraWaterCollision", 0);
		SetCVar("cameraDive", 0);
		SetCVar("cameraPivot", 0);
		MoveViewInStart(1000)
		CameraZoomIn(50)
		MoveViewInStart(1000)
	else
		-- not in combat
		CameraZoomIn(-50)
		SetView(1)
	end
end)
